/*
**    TP ETI5 CPE Lyon
**    Copyright (C) 2010 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef _MESH_IO_OFF_HPP_
#define _MESH_IO_OFF_HPP_

#include <iostream>

namespace cpe
{

    class mesh;

    /** \brief Helper class to load/save off file

        An un-official TOFF support is provided for per-vertex texture manipulation
    */
    class mesh_io_off
    {

    public:

        /** \brief Load off file
            \param std::string filename: pathname to the mesh file
        */
        static mesh load_mesh_io_off(const std::string& filename);

        /** \brief Save off file
            \param std::string filename: the exported file
            \param mesh m: the mesh to save
            \param bool is_toof: save in toff format when texture is active (default: false)
        */
        static void save_mesh_io_off(const std::string& filename,const mesh& m,const bool& is_toof=false);


    private:

    };
}


#endif
